commit:     8ba9e5b982ef7fd97b46b4b0f20c93ea71f6c103
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  7 18:01:42 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb  9 16:35:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ba9e5b9

sci-chemistry/vmd: Switch to PYTHON_MULTI_USEDEP API

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sci-chemistry/vmd/vmd-1.9.2.ebuild                             | 10 ++++++----
 sci-chemistry/vmd/vmd-1.9.3-r1.ebuild                          | 10 ++++++----
 sci-chemistry/vmd/{vmd-1.9.3-r3.ebuild => vmd-1.9.3-r4.ebuild} | 10 ++++++----
 sci-chemistry/vmd/vmd-1.9.3.ebuild                             | 10 ++++++----
 4 files changed, 24 insertions(+), 16 deletions(-)

diff --git a/sci-chemistry/vmd/vmd-1.9.2.ebuild 
b/sci-chemistry/vmd/vmd-1.9.2.ebuild
index 2cee984cdd4..92daf030477 100644
--- a/sci-chemistry/vmd/vmd-1.9.2.ebuild
+++ b/sci-chemistry/vmd/vmd-1.9.2.ebuild
@@ -27,10 +27,12 @@ CDEPEND="
        >=dev-lang/tk-8.6.1
        dev-lang/perl
        dev-libs/expat
-       || (
-               dev-python/numpy-python2[${PYTHON_USEDEP}]
-               dev-python/numpy[${PYTHON_USEDEP}]
-       )
+       $(python_gen_cond_dep '
+               || (
+                       dev-python/numpy-python2[${PYTHON_MULTI_USEDEP}]
+                       dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+               )
+       ')
        sci-libs/netcdf:0=
        virtual/opengl
        >=x11-libs/fltk-1.1.10-r2:1

diff --git a/sci-chemistry/vmd/vmd-1.9.3-r1.ebuild 
b/sci-chemistry/vmd/vmd-1.9.3-r1.ebuild
index abf5d03202f..f42cb4d104f 100644
--- a/sci-chemistry/vmd/vmd-1.9.3-r1.ebuild
+++ b/sci-chemistry/vmd/vmd-1.9.3-r1.ebuild
@@ -27,10 +27,12 @@ CDEPEND="
        >=dev-lang/tk-8.6.1:0=
        dev-lang/perl
        dev-libs/expat
-       || (
-               dev-python/numpy-python2[${PYTHON_USEDEP}]
-               dev-python/numpy[${PYTHON_USEDEP}]
-       )
+       $(python_gen_cond_dep '
+               || (
+                       dev-python/numpy-python2[${PYTHON_MULTI_USEDEP}]
+                       dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+               )
+       ')
        sci-libs/netcdf:0=
        virtual/opengl
        >=x11-libs/fltk-1.1.10-r2:1

diff --git a/sci-chemistry/vmd/vmd-1.9.3-r3.ebuild 
b/sci-chemistry/vmd/vmd-1.9.3-r4.ebuild
similarity index 98%
rename from sci-chemistry/vmd/vmd-1.9.3-r3.ebuild
rename to sci-chemistry/vmd/vmd-1.9.3-r4.ebuild
index 8d8897a57f8..39e7a9751ce 100644
--- a/sci-chemistry/vmd/vmd-1.9.3-r3.ebuild
+++ b/sci-chemistry/vmd/vmd-1.9.3-r4.ebuild
@@ -27,10 +27,12 @@ CDEPEND="
        >=dev-lang/tk-8.6.1:0=
        dev-lang/perl
        dev-libs/expat
-       || (
-               dev-python/numpy-python2[${PYTHON_USEDEP}]
-               dev-python/numpy[${PYTHON_USEDEP}]
-       )
+       $(python_gen_cond_dep '
+               || (
+                       dev-python/numpy-python2[${PYTHON_MULTI_USEDEP}]
+                       dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+               )
+       ')
        sci-libs/netcdf:0=
        virtual/opengl
        >=x11-libs/fltk-1.1.10-r2:1

diff --git a/sci-chemistry/vmd/vmd-1.9.3.ebuild 
b/sci-chemistry/vmd/vmd-1.9.3.ebuild
index 01098a723de..88394af1970 100644
--- a/sci-chemistry/vmd/vmd-1.9.3.ebuild
+++ b/sci-chemistry/vmd/vmd-1.9.3.ebuild
@@ -27,10 +27,12 @@ CDEPEND="
        >=dev-lang/tk-8.6.1
        dev-lang/perl
        dev-libs/expat
-       || (
-               dev-python/numpy-python2[${PYTHON_USEDEP}]
-               dev-python/numpy[${PYTHON_USEDEP}]
-       )
+       $(python_gen_cond_dep '
+               || (
+                       dev-python/numpy-python2[${PYTHON_MULTI_USEDEP}]
+                       dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+               )
+       ')
        sci-libs/netcdf:0=
        virtual/opengl
        >=x11-libs/fltk-1.1.10-r2:1

Reply via email to